Skip to main content
`Ctrl`+`K`

# numpy.polynomial.hermite.poly2herm

polynomial.hermite.poly2herm(pol)

  Convert a polynomial to a Hermite series.

  Convert an array representing the coefficients of a polynomial (relative to the “standard” basis) ordered from lowest degree to highest, to an array of the coefficients of the equivalent Hermite series, ordered from lowest to highest degree.

  Parameters:
    pol array_like

      1-D array containing the polynomial coefficients

  Returns:
    c ndarray

      1-D array containing the coefficients of the equivalent Hermite series.

  See also

  `herm2poly`

  Notes

  The easy way to do conversions between polynomial basis sets is to use the convert method of a class instance.

  Examples

      >>> from numpy.polynomial.hermite import poly2herm
      >>> poly2herm(np.arange(4))
      array([1.   ,  2.75 ,  0.5  ,  0.375])